Package de.willuhn.jameica.hbci.gui.controller

# Class SettingsControl

java.lang.Object
de.willuhn.jameica.gui.AbstractControl
de.willuhn.jameica.hbci.gui.controller.SettingsControl

public class SettingsControl extends de.willuhn.jameica.gui.AbstractControl
Controller fuer die Einstellungen.

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.AbstractControl

`view`

## Constructor Summary

Constructors
Constructor
Description
`SettingsControl(de.willuhn.jameica.gui.AbstractView view)`

## Method Summary

Modifier and Type
Method
Description
`de.willuhn.jameica.gui.input.CheckboxInput`
`getBicAutocomplete()`
Checkbox, mit der festgelegt werden kann, ob die BIC bei Eingabe der IBAN automatisch vervollständigt werden soll.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getBoldValues()`
Checkbox zur fett gedruckten Darstellung von Geldbetraegen.
`de.willuhn.jameica.gui.input.Input`
`getBuchungHabenForeground()`
Liefert ein Auswahlfeld fuer die Vordergrundfarbe von Haben-Buchungen.
`de.willuhn.jameica.gui.input.Input`
`getBuchungSollForeground()`
Liefert ein Auswahlfeld fuer die Vordergrundfarbe von Soll-Buchungen.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getCachePin()`
Liefert eine Checkbox zur Aktivierung oder Deaktivierung des Pin-Caches.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getColorValues()`
Checkbox mit der festgelegt werden kann, dass nur der Betrag eingefärbt wird.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getDecimalGrouping()`
Checkbox zur Auswahl von Dezimal-Trennzeichen in Betraegen.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getExFeatures()`
Liefert eine Checkbox, mit der eingestellt werden kann, ob die experimentellen Features aktiv sein sollen.
`List<de.willuhn.jameica.gui.input.CheckboxInput>`
`getExperiments()`
Liefert eine Liste mit Checkboxen zum Einstellen experimenteller Funktionen.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getKontoCheck()`
Checkbox zur Aktivierung der Pruefziffernberechnung bei Kontonummern.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getKontoCheckExcludeAddressbook()`
Checkbox, mit der Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden koennen.
`RangeList`
`getRanges(Range.Category category)`
Liefert eine Liste mit den verfuegbaren Zeitraum-Auswahlen fuer die angegebene Kategorie.
`de.willuhn.jameica.gui.input.CheckboxInput`
`getStorePin()`
Liefert eine Checkbox zum Aktivieren der permanenten Speicherung der PINs.
`de.willuhn.jameica.gui.input.Input`
`getUeberweisungLimit()`
Eingabe-Feld fuer ein Limit bei Ueberweisungen.
`UmsatzTypTree`
`getUmsatzTypTree()`
Liefert einen Tree mit den existierenden Umsatz-Kategorien.
`void`
`handleStore()`
Speichert die Einstellungen.

### Methods inherited from class de.willuhn.jameica.gui.AbstractControl

`getCurrentObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SettingsControl

public SettingsControl(de.willuhn.jameica.gui.AbstractView view)

Parameters:
  `view` -

## Method Details

### getUmsatzTypTree

public UmsatzTypTree getUmsatzTypTree() throws RemoteException
Liefert einen Tree mit den existierenden Umsatz-Kategorien.

Returns:
  Tree mit den Umsatz-Kategorien.
Throws:
  `RemoteException`

### getRanges

public RangeList getRanges(Range.Category category) throws RemoteException
Liefert eine Liste mit den verfuegbaren Zeitraum-Auswahlen fuer die angegebene Kategorie.

Parameters:
  `category` - Zeitraumkagegorie.
Returns:
  Liste mit den Zeiträumen der gegebenen Kategorie.
Throws:
  `RemoteException`

### getDecimalGrouping

public de.willuhn.jameica.gui.input.CheckboxInput getDecimalGrouping()
Checkbox zur Auswahl von Dezimal-Trennzeichen in Betraegen.

Returns:
  Checkbox.

### getBoldValues

public de.willuhn.jameica.gui.input.CheckboxInput getBoldValues()
Checkbox zur fett gedruckten Darstellung von Geldbetraegen.

Returns:
  Checkbox.

### getColorValues

public de.willuhn.jameica.gui.input.CheckboxInput getColorValues()
Checkbox mit der festgelegt werden kann, dass nur der Betrag eingefärbt wird.

Returns:
  Checkbox.

### getKontoCheck

public de.willuhn.jameica.gui.input.CheckboxInput getKontoCheck()
Checkbox zur Aktivierung der Pruefziffernberechnung bei Kontonummern.

Returns:
  Checkbox.

### getKontoCheckExcludeAddressbook

public de.willuhn.jameica.gui.input.CheckboxInput getKontoCheckExcludeAddressbook()
Checkbox, mit der Bankverbindungen aus dem Adressbuch aus der Pruefung ausgenommen werden koennen.

Returns:
  Checkbox.

### getBicAutocomplete

public de.willuhn.jameica.gui.input.CheckboxInput getBicAutocomplete()
Checkbox, mit der festgelegt werden kann, ob die BIC bei Eingabe der IBAN automatisch vervollständigt werden soll.

Returns:
  Checkbox.

### getCachePin

public de.willuhn.jameica.gui.input.CheckboxInput getCachePin()
Liefert eine Checkbox zur Aktivierung oder Deaktivierung des Pin-Caches.

Returns:
  Checkbox.

### getStorePin

public de.willuhn.jameica.gui.input.CheckboxInput getStorePin()
Liefert eine Checkbox zum Aktivieren der permanenten Speicherung der PINs.

Returns:
  true, wenn das Speichern der PINs aktiviert ist.

### getExFeatures

public de.willuhn.jameica.gui.input.CheckboxInput getExFeatures()
Liefert eine Checkbox, mit der eingestellt werden kann, ob die experimentellen Features aktiv sein sollen.

Returns:
  Checkbox.

### getExperiments

public List<de.willuhn.jameica.gui.input.CheckboxInput> getExperiments()
Liefert eine Liste mit Checkboxen zum Einstellen experimenteller Funktionen.

Returns:
  eine Liste mit Checkboxen zum Einstellen experimenteller Funktionen. Liefert NULL, wenn es kein Nightly-Build ist.

### getUeberweisungLimit

public de.willuhn.jameica.gui.input.Input getUeberweisungLimit()
Eingabe-Feld fuer ein Limit bei Ueberweisungen.

Returns:
  Eingabe-Feld.

### getBuchungSollForeground

public de.willuhn.jameica.gui.input.Input getBuchungSollForeground()
Liefert ein Auswahlfeld fuer die Vordergrundfarbe von Soll-Buchungen.

Returns:
  Auswahlfeld.

### getBuchungHabenForeground

public de.willuhn.jameica.gui.input.Input getBuchungHabenForeground()
Liefert ein Auswahlfeld fuer die Vordergrundfarbe von Haben-Buchungen.

Returns:
  Auswahlfeld.

### handleStore

public void handleStore()
Speichert die Einstellungen.